App Versions

This page lists the current versions of my applications, and which versions are supported.

Current versions

!Fantasy Fitness: 3.8.4

Sayles Hill:

  • Web: 3.7.0
  • iOS: 1.0 Beta 2
  • Data: 2017.2.3c (web), 2017.7.20b (iOS)

What versions are supported

Most of my projects are versioned using Semantic Versioning. Data sources, such as that for Sayles Hill, generally are not.

On the web and with APIs, there is only one version available, so that version is the one that is supported.

For iOS and Android public releases to the App Store and Google Play, I support the most recent “patch” version of the current and last “minor” version (even if that crosses over “major” version boundaries). This means that if the current version is 1.3.2, I’ll support 1.3, 1.3.1, 1.3.2, and the last 1.2.x version.

For iOS and Android testing versions, only the most recent version available to you is supported. For closed tests, such as on iOS, I generally don’t segment testers into groups and give each a different version; generally I will release a new testing version out to all testers as quickly as I can.

Data feed versioning

Data feeds are generally “versioned” according to their release date: year.month.day<letter>, where <letter> starts at a for the first release of the day and works its way up as necessary.